POST ShipmentMessage
Some tooltip text!
• 6 minutes to read
• 6 minutes to read
POST /api/v1/ShipmentMessage
Creates a new ShipmentMessageEntity
Calls the Marketing agent service SaveShipmentMessageEntity. NsApiSlow threshold: 5000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category" Default = show all fields. |
POST /api/v1/ShipmentMessage?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: newEntity
The ShipmentMessageEntity to be saved.
| Property Name | Type | Description |
|---|---|---|
| ShipmentMessageId | Integer | Primary key |
| PlainMessage | String | Plain message text of this message |
| HtmlMessage | String | HTML formatted text of this message |
| SmsMessage | String | SMS version of this message |
| Description | String | Describes this message |
| Subject | String | The mail subject field of the message |
| FolderId | Integer | The folder which this message belongs to. -1 indicates that the message is on the root |
| HeaderField | String | Extra header fields added to mail. Must be formatted correctly |
| Design | String | Will contain the design part of a message. The format will vary based on the type of designer used to create the message |
| Designtype | String | Enum containing the type of the design |
| Flags | String | Identifies if HTML or plain message is included in message. |
| RegisterViews | Boolean | Register message views? |
| InlineImages | Boolean | Should images be included inline? |
| LongDescription | String | A field for a long description of this template |
| AccessKey | String | Key used for access verification |
| DocumentMessage | Integer | The SM document used as template for this mailing |
| Registered | String | Registered when in UTC. |
| RegisteredAssociateId | Integer | Registered by whom |
| Updated | String | Last updated when in UTC. |
| UpdatedAssociateId | Integer | Last updated by whom |
| UpdatedCount | Integer | Number of updates made to this record |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: ShipmentMessageEntityWithLinks
| Property Name | Type | Description |
|---|---|---|
| ShipmentMessageId | int32 | Primary key |
| PlainMessage | string | Plain message text of this message |
| HtmlMessage | string | HTML formatted text of this message |
| SmsMessage | string | SMS version of this message |
| Description | string | Describes this message |
| Subject | string | The mail subject field of the message |
| FolderId | int32 | The folder which this message belongs to. -1 indicates that the message is on the root |
| HeaderField | string | Extra header fields added to mail. Must be formatted correctly |
| Design | string | Will contain the design part of a message. The format will vary based on the type of designer used to create the message |
| Designtype | string | Enum containing the type of the design |
| Flags | string | Identifies if HTML or plain message is included in message. |
| RegisterViews | bool | Register message views? |
| InlineImages | bool | Should images be included inline? |
| LongDescription | string | A field for a long description of this template |
| AccessKey | string | Key used for access verification |
| DocumentMessage | int32 | The SM document used as template for this mailing |
| Registered | date-time | Registered when in UTC. |
| RegisteredAssociateId | int32 | Registered by whom |
| Updated | date-time | Last updated when in UTC. |
| UpdatedAssociateId | int32 | Last updated by whom |
| UpdatedCount | int32 | Number of updates made to this record |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
| _Links | object |
Sample request
POST /api/v1/ShipmentMessage
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: sv
Content-Type: application/json; charset=utf-8
{
"ShipmentMessageId": 462,
"PlainMessage": "consequatur",
"HtmlMessage": "autem",
"SmsMessage": "sapiente",
"Description": "Face to face secondary implementation",
"Subject": "non",
"FolderId": 823,
"HeaderField": "et",
"Design": "animi",
"Designtype": "SOEditor",
"Flags": "Document",
"RegisterViews": false,
"InlineImages": true,
"LongDescription": "Persevering motivating artificial intelligence",
"AccessKey": "ut",
"DocumentMessage": 914,
"Registered": "2002-05-07T14:34:02.426041+02:00",
"RegisteredAssociateId": 121,
"Updated": "1998-09-06T14:34:02.426041+02:00",
"UpdatedAssociateId": 813,
"UpdatedCount": 17
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"ShipmentMessageId": 581,
"PlainMessage": "qui",
"HtmlMessage": "velit",
"SmsMessage": "modi",
"Description": "Realigned optimal internet solution",
"Subject": "et",
"FolderId": 464,
"HeaderField": "tempora",
"Design": "id",
"Designtype": "SOEditor",
"Flags": "Document",
"RegisterViews": false,
"InlineImages": false,
"LongDescription": "Grass-roots assymetric orchestration",
"AccessKey": "nisi",
"DocumentMessage": 788,
"Registered": "2012-08-24T14:34:02.426041+02:00",
"RegisteredAssociateId": 408,
"Updated": "2014-12-23T14:34:02.426041+01:00",
"UpdatedAssociateId": 668,
"UpdatedCount": 507,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 351
}
},
"_Links": {
"Self": "https://www.example.com/api/v1/project/321",
"Archive": "https://www.example.com/api/v1/project"
}
}